# Releaser

Releaser is a CLI application designed to simplify the process of releasing
software and managing versions. It provides an easy and efficient way to handle
semantic versioning, git tags, and software releases.

## Features

- Release the software
- Validate semantic versioning
- Bump semantic versioning in git tags

## Installation

Releaser is installed using Cargo, the Rust package manager. To install
Releaser, you need to have Cargo and Rust installed on your system. You can
install Rust and Cargo by following the instructions at
https://www.rust-lang.org/tools/install.

Once Rust and Cargo are installed, you can install Releaser using the following
command:

```bash
$ cargo install releaser
```

## Usage

The general usage of Releaser is as follows:

```bash
$ releaser [COMMAND] [OPTIONS]
```

### Commands

- release: Release the software.
- validate: Validate the semantic versioning of the software.
- bump: Bump the semantic versioning in git tags.

## Examples

### Release the software

```bash
$ releaser release
```

### Validate the semantic versioning of the software

```bash
$ releaser validate
```

### Bump the semantic versioning in git tags

```bash
$ releaser bump
```

### Print help for the application

```bash
$ releaser help
```

### Print help for a specific command

```bash
$ releaser help release
```

## Contributing

We welcome contributions to Releaser! If you encounter any issues or would like
to request a new feature, please create an issue on the GitHub repository.

## License

Releaser is licensed under the MIT License. See the LICENSE file for details.
